# -*- encoding: utf-8 -*-
# stub: sensu-plugins-redis 5.0.0 ruby lib

Gem::Specification.new do |s|
  s.name = "sensu-plugins-redis".freeze
  s.version = "5.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "development_status" => "active", "maintainer" => "sensu-plugin", "production_status" => "unstable - testing recommended", "release_draft" => "false", "release_prerelease" => "false" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Sensu-Plugins and contributors".freeze]
  s.date = "2020-04-06"
  s.description = "This plugin provides native Redis instrumentation\n                              for monitoring and metrics collection, including:\n                              service health, database connectivity, replication\n                              status, `INFO` metrics, key counts, list lengths,\n                              and more.".freeze
  s.email = "<sensu-users@googlegroups.com>".freeze
  s.executables = ["metrics-redis-llen.rb".freeze, "check-redis-ping.rb".freeze, "check-redis-keys.rb".freeze, "check-redis-memory-percentage.rb".freeze, "check-redis-slave-status.rb".freeze, "check-redis-memory.rb".freeze, "metrics-redis-graphite.rb".freeze, "check-redis-list-length.rb".freeze, "check-redis-connections-available.rb".freeze, "metrics-redis-keys.rb".freeze, "check-redis-info.rb".freeze]
  s.files = ["bin/check-redis-connections-available.rb".freeze, "bin/check-redis-info.rb".freeze, "bin/check-redis-keys.rb".freeze, "bin/check-redis-list-length.rb".freeze, "bin/check-redis-memory-percentage.rb".freeze, "bin/check-redis-memory.rb".freeze, "bin/check-redis-ping.rb".freeze, "bin/check-redis-slave-status.rb".freeze, "bin/metrics-redis-graphite.rb".freeze, "bin/metrics-redis-keys.rb".freeze, "bin/metrics-redis-llen.rb".freeze]
  s.homepage = "https://github.com/sensu-plugins/sensu-plugins-redis".freeze
  s.licenses = ["MIT".freeze]
  s.post_install_message = "You can use the embedded Ruby by setting EMBEDDED_RUBY=true in /etc/default/sensu".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 2.3.0".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Sensu plugins for working with redis".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<sensu-plugin>.freeze, ["~> 4.0"])
    s.add_runtime_dependency(%q<redis>.freeze, [">= 3.3", "< 5.0"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 2.1"])
    s.add_development_dependency(%q<github-markup>.freeze, ["~> 3.0"])
    s.add_development_dependency(%q<kitchen-docker>.freeze, ["~> 2.6"])
    s.add_development_dependency(%q<kitchen-localhost>.freeze, ["~> 0.3"])
    s.add_development_dependency(%q<mixlib-shellout>.freeze, ["< 2.3.0", "~> 2.2"])
    s.add_development_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 12.3"])
    s.add_development_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.1"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.79.0"])
    s.add_development_dependency(%q<serverspec>.freeze, ["~> 2.36.1"])
    s.add_development_dependency(%q<test-kitchen>.freeze, ["~> 1.16.0"])
    s.add_development_dependency(%q<yard>.freeze, ["~> 0.9.11"])
  else
    s.add_dependency(%q<sensu-plugin>.freeze, ["~> 4.0"])
    s.add_dependency(%q<redis>.freeze, [">= 3.3", "< 5.0"])
    s.add_dependency(%q<bundler>.freeze, ["~> 2.1"])
    s.add_dependency(%q<github-markup>.freeze, ["~> 3.0"])
    s.add_dependency(%q<kitchen-docker>.freeze, ["~> 2.6"])
    s.add_dependency(%q<kitchen-localhost>.freeze, ["~> 0.3"])
    s.add_dependency(%q<mixlib-shellout>.freeze, ["< 2.3.0", "~> 2.2"])
    s.add_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_dependency(%q<rake>.freeze, ["~> 12.3"])
    s.add_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.1"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.79.0"])
    s.add_dependency(%q<serverspec>.freeze, ["~> 2.36.1"])
    s.add_dependency(%q<test-kitchen>.freeze, ["~> 1.16.0"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.9.11"])
  end
end
